
package Google::Ads::AdWords::v201601::TypeMaps::AdwordsUserListService;
use strict;
use warnings;

our $typemap_1 = {
               'getResponse/rval/entries[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201601::NullError::Reason',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembers/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembers/operations/operand' => 'Google::Ads::AdWords::v201601::MutateMembersOperand',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'getResponse/rval/entries[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201601::SelectorError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'getResponse/rval/entries/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutate/operations/operand[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201601::OperatorError::Reason',
               'mutateResponse/rval/value[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutateMembersResponse/rval/userLists[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201601::RejectedError::Reason',
               'getResponse/rval/entries[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201601::AuthorizationError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse' => 'Google::Ads::AdWords::v201601::AdwordsUserListService::getResponse',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UserListError]' => 'Google::Ads::AdWords::v201601::UserListError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201601::OperatorError',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get' => 'Google::Ads::AdWords::v201601::AdwordsUserListService::get',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201601::DateRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateResponse/rval/value/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutateResponse/rval/value[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201601::CollectionSizeError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201601::Selector',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201601::Operator',
               'mutate/operations/operand[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]' => 'Google::Ads::AdWords::v201601::StringFormatError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201601::DateError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201601::UserListPage',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201601::ApiError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateResponse/rval/value[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembers' => 'Google::Ads::AdWords::v201601::AdwordsUserListService::mutateMembers',
               'getResponse/rval/entries[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201601::OperationAccessDenied::Reason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'getResponse/rval/entries[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201601::AuthorizationError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201601::NullError',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201601::OrderBy',
               'mutate/operations/operand[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembers/operations/operand/members' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations' => 'Google::Ads::AdWords::v201601::UserListOperation',
               'mutateResponse/rval/value[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201601::SortOrder',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201601::Predicate::Operator',
               'mutate/operations/operand[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201601::AuthenticationError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'getResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201601::RejectedError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'getResponse/rval/entries[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201601::ApiException',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201601::DatabaseError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse' => 'Google::Ads::AdWords::v201601::AdwordsUserListService::mutateMembersResponse',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateResponse/rval/value[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201601::SizeLimitError',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembers/operations' => 'Google::Ads::AdWords::v201601::MutateMembersOperation',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201601::RequiredError::Reason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201601::NotEmptyError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201601::DatabaseError',
               'getResponse/rval/entries[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutate/operations/operand[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201601::RateExceededError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'getResponse/rval/entries[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201601::DateError',
               'getResponse/rval/entries[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201601::StringLengthError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutate/operations/operand[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutate/operations/operand[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'getResponse/rval/entries[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutate/operations/operand[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'mutate/operations/operand[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutate/operations/operand[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/reason' => 'Google::Ads::AdWords::v201601::MutateMembersError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/reason' => 'Google::Ads::AdWords::v201601::UserListError::Reason',
               'mutateMembersResponse/rval/userLists/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembers/operations/operand/dataType' => 'Google::Ads::AdWords::v201601::MutateMembersOperand::DataType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'getResponse/rval/entries[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201601::SizeLimitError::Reason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201601::ApiException',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201601::QuotaCheckError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201601::InternalApiError',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201601::OperationAccessDenied',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201601::ReadOnlyError::Reason',
               'mutateMembers/operations/operand/userListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201601::QuotaCheckError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]' => 'Google::Ads::AdWords::v201601::CollectionSizeError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201601::StringFormatError::Reason',
               'getResponse/rval/entries[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists' => 'Google::Ads::AdWords::v201601::UserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'getResponse/rval/entries[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]' => 'Google::Ads::AdWords::v201601::MutateMembersError',
               'mutateResponse/rval/value[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutate/operations/operand[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval' => 'Google::Ads::AdWords::v201601::MutateMembersReturnValue',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201601::NotWhitelistedError::Reason',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutate/operations/operand[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'getResponse/rval/entries[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201601::RequiredError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201601::ReadOnlyError',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'getResponse/rval/entries[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateResponse/rval/value[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'getResponse/rval/entries[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201601::NotWhitelistedError',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201601::EntityNotFound',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutate/operations/operand[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateResponse/rval/value[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse' => 'Google::Ads::AdWords::v201601::AdwordsUserListService::mutateResponse',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201601::Paging',
               'mutateResponse/rval/value[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutate/operations/operand[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'getResponse/rval/entries[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutateResponse/rval/value[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate' => 'Google::Ads::AdWords::v201601::AdwordsUserListService::mutate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201601::RangeError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201601::DistinctError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201601::StringLengthError',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201601::SelectorError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201601::UserList',
               'getResponse/rval/entries[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembers/operations/operator' => 'Google::Ads::AdWords::v201601::Operator',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201601::RateExceededError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/logicalOptOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201601::UserListReturnValue',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201601::UserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201601::EntityNotFound::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201601::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201601::LogicalUserList',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutate/operations/operand/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'getResponse/rval/entries[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[SimilarUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201601::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[BasicUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201601::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201601::UserListLogicalRule',
               'mutate/operations/operand[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201601::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201601::AuthenticationError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201601::Predicate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'getResponse/rval/entries[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201601::UserListLogicalRule::Operator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201601::CrmBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]' => 'Google::Ads::AdWords::v201601::SimilarUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201601::NotEmptyError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201601::DateSpecificRuleUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201601::DistinctError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201601::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201601::UserListConversionType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201601::RangeError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]' => 'Google::Ads::AdWords::v201601::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'mutateMembersResponse/rval/userLists[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201601::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201601::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201601::LogicalUserListOperand',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutate/operations/operand[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201601::ApiError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201601::Rule',
               'mutateResponse/rval/value[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201601::UserListConversionType::Category',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201601::DateKey',
               'mutate/operations/operand[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201601::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201601::RuleItemGroup',
               'mutate/operations/operand[BasicUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201601::InternalApiError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201601::StringRuleItem',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201601::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201601::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201601::RuleBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201601::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201601::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201601::UserListType',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/optOutLink' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201601::TypeMaps::AdwordsUserListService - typemap for AdwordsUserListService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

