
package Google::Ads::AdWords::v201603::TypeMaps::AdGroupAdService;
use strict;
use warnings;

our $typemap_1 = {
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'getResponse/rval/entries/ad' => 'Google::Ads::AdWords::v201603::Ad',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'mutateResponse/rval/value/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[ExperimentError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]' => 'Google::Ads::AdWords::v201603::TextAd',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutate/operations/operand/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]' => 'Google::Ads::AdWords::v201603::ImageAd',
               'getResponse/rval/entries/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201603::AdCustomizerError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201603::TemplateElement',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201603::AdUnionId',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'queryResponse/rval/entries/ad[ImageAd]' => 'Google::Ads::AdWords::v201603::ImageAd',
               'queryResponse/rval/entries/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutate/operations/operand/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'queryResponse/rval/entries/ad[TextAd]' => 'Google::Ads::AdWords::v201603::TextAd',
               'mutateResponse/rval/value/ad/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdError]/reason' => 'Google::Ads::AdWords::v201603::AdError::Reason',
               'upgradeUrlResponse/rval/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201603::EntityNotFound',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'getResponse/rval/entries/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201603::MediaBundleError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201603::TemplateElementField',
               'mutate/operations/operand/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201603::Audio',
               'mutateResponse/rval/value/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded',
               'mutate/operations/operand/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201603::ClientTermsError::Reason',
               'upgradeUrlResponse/rval[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201603::AdGroupAdError::Reason',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]' => 'Google::Ads::AdWords::v201603::AdError',
               'getResponse/rval/entries/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201603::QueryError::Reason',
               'mutate/operations/operand/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201603::CallOnlyAd',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201603::DistinctError::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabel/operations/operand/adId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]' => 'Google::Ads::AdWords::v201603::ImageError',
               'mutateResponse/rval/value/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations' => 'Google::Ads::AdWords::v201603::AdGroupAdOperation',
               'mutate/operations/operand/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]' => 'Google::Ads::AdWords::v201603::MediaBundleError',
               'Fault/detail/ApiExceptionFault/errors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[ExperimentError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]' => 'Google::Ads::AdWords::v201603::TextLabel',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]' => 'Google::Ads::AdWords::v201603::TemplateAd',
               'mutateResponse/rval/value/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/reason' => 'Google::Ads::AdWords::v201603::FunctionError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/reason' => 'Google::Ads::AdWords::v201603::AdxError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201603::MediaBundleError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]' => 'Google::Ads::AdWords::v201603::PolicyViolationError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201603::Video',
               'getResponse/rval/entries/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'upgradeUrlResponse/rval/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201603::AdGroupAd',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'getResponse/rval/entries/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201603::SortOrder',
               'queryResponse/rval/entries/trademarks' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201603::AuthorizationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201603::TemplateElement',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'upgradeUrlResponse/rval[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/labels/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]' => 'Google::Ads::AdWords::v201603::AdCustomizerError',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201603::ReadOnlyError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201603::ExperimentDeltaStatus',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201603::RequestError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201603::RequestError::Reason',
               'mutate/operations/operand/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]' => 'Google::Ads::AdWords::v201603::MediaError',
               'mutate/operations/operand/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201603::Image',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201603::ApiError',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201603::RejectedError::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201603::TempAdUnionId',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]' => 'Google::Ads::AdWords::v201603::MediaError',
               'queryResponse/rval/entries/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201603::ExperimentDeltaStatus',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]' => 'Google::Ads::AdWords::v201603::DateError',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201603::OperationAccessDenied',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201603::RejectedError::Reason',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabel/operations/operand/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DeprecatedAd]' => 'Google::Ads::AdWords::v201603::DeprecatedAd',
               'queryResponse/rval/entries/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'mutateResponse/rval/partialFailureErrors[AdxError]' => 'Google::Ads::AdWords::v201603::AdxError',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201603::DateError',
               'queryResponse/rval/entries/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/disapprovalReasons' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'upgradeUrlResponse/rval[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'getResponse/rval/entries/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201603::StringLengthError',
               'mutateResponse/rval/value/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201603::FunctionParsingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'query' => 'Google::Ads::AdWords::v201603::AdGroupAdService::query',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]' => 'Google::Ads::AdWords::v201603::TextAd',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/trademarks' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/trademarkDisapproved' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201603::AdGroupAd',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/reason' => 'Google::Ads::AdWords::v201603::ImageError::Reason',
               'getResponse/rval/entries/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[ExperimentError]' => 'Google::Ads::AdWords::v201603::ExperimentError',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201603::SizeLimitError',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData' => 'Google::Ads::AdWords::v201603::AdGroupAdExperimentData',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse' => 'Google::Ads::AdWords::v201603::AdGroupAdService::mutateResponse',
               'upgradeUrlResponse/rval[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201603::SelectorError',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201603::DatabaseError::Reason',
               'upgradeUrlResponse/rval[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201603::ReadOnlyError::Reason',
               'mutateResponse/rval/value/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201603::AuthorizationError::Reason',
               'upgradeUrlResponse/rval[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'getResponse/rval/entries/labels/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'upgradeUrlResponse/rval[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201603::TemplateElement',
               'upgradeUrlResponse/rval[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/reason' => 'Google::Ads::AdWords::v201603::IdError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'upgradeUrlResponse/rval[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201603::NotEmptyError',
               'mutate/operations/operand/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'upgradeUrlResponse/rval[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201603::TempAdUnionId',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201603::DynamicSearchAd',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201603::SelectorError',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201603::AdGroupAd::Status',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201603::ReadOnlyError::Reason',
               'mutate/operations/operand/ad[TextAd]' => 'Google::Ads::AdWords::v201603::TextAd',
               'mutateResponse/rval/partialFailureErrors[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201603::TempAdUnionId',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]' => 'Google::Ads::AdWords::v201603::TemplateAd',
               'upgradeUrlResponse/rval[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201603::InternalApiError',
               'mutate/operations/operand/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201603::ReadOnlyError',
               'mutateResponse/rval/value/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201603::ClientTermsError',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201603::ApiError',
               'upgradeUrlResponse/rval[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/partialFailureErrors[DateError]/reason' => 'Google::Ads::AdWords::v201603::DateError::Reason',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201603::ReadOnlyError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded',
               'upgradeUrlResponse/rval[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'upgradeUrl/operations/finalUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201603::OperationAccessDenied',
               'mutate/operations/operand/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201603::EntityAccessDenied::Reason',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[UrlError]/reason' => 'Google::Ads::AdWords::v201603::UrlError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201603::AdGroupAdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201603::ClientTermsError::Reason',
               'mutateResponse/rval/value/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval' => 'Google::Ads::AdWords::v201603::AdGroupAdPage',
               'mutateResponse/rval/partialFailureErrors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]' => 'Google::Ads::AdWords::v201603::AdError',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201603::RejectedError::Reason',
               'mutateResponse/rval/partialFailureErrors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201603::OperatorError',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201603::RequestError',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201603::AdGroupAdReturnValue',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabel/operations' => 'Google::Ads::AdWords::v201603::AdGroupAdLabelOperation',
               'queryResponse/rval/entries/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]' => 'Google::Ads::AdWords::v201603::MediaBundleError',
               'getResponse/rval/entries/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201603::ExperimentDataStatus',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201603::SizeLimitError',
               'mutateResponse/rval/value/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'getResponse/rval/entries/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201603::AdCustomizerError::Reason',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutate/operations/operand/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/reason' => 'Google::Ads::AdWords::v201603::IdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201603::RejectedError',
               'queryResponse/rval/entries/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/promotionLine' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/value/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/reason' => 'Google::Ads::AdWords::v201603::FunctionError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201603::DeprecatedAd::Type',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/reason' => 'Google::Ads::AdWords::v201603::AdxError::Reason',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201603::NewEntityCreationError',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201603::DeprecatedAd::Type',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201603::AuthorizationError',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201603::ForwardCompatibilityError',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'Fault/detail/ApiExceptionFault/errors[ExperimentError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201603::Operator',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201603::QueryError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'upgradeUrlResponse/rval[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201603::FeedAttributeReferenceError::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201603::EntityNotFound::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]' => 'Google::Ads::AdWords::v201603::ImageAd',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'upgradeUrl/operations' => 'Google::Ads::AdWords::v201603::AdUrlUpgrade',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/labels/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'mutate/operations/operand/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[PagingError]/reason' => 'Google::Ads::AdWords::v201603::PagingError::Reason',
               'upgradeUrlResponse/rval[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201603::DistinctError::Reason',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201603::ThirdPartyRedirectAd::ExpandingDirection',
               'mutateResponse/rval/partialFailureErrors[AdxError]/reason' => 'Google::Ads::AdWords::v201603::AdxError::Reason',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]' => 'Google::Ads::AdWords::v201603::ProductAd',
               'mutate/operations/operand/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201603::RequestError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201603::AdUnionId',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201603::RateExceededError',
               'upgradeUrlResponse/rval[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'queryResponse/rval/entries/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]' => 'Google::Ads::AdWords::v201603::StatsQueryError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/labels[TextLabel]' => 'Google::Ads::AdWords::v201603::TextLabel',
               'mutateResponse/rval/value/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201603::PolicyViolationKey',
               'mutateResponse/rval/value/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201603::TempAdUnionId',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201603::Media',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201603::InternalApiError::Reason',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201603::RateExceededError',
               'getResponse/rval/entries/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]' => 'Google::Ads::AdWords::v201603::FunctionParsingError',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201603::InternalApiError',
               'mutate/operations/operand/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201603::Image',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/value/labels[TextLabel]' => 'Google::Ads::AdWords::v201603::TextLabel',
               'getResponse/rval/entries/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201603::DeprecatedAd',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201603::NullError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'mutateResponse/rval/partialFailureErrors[ExperimentError]' => 'Google::Ads::AdWords::v201603::ExperimentError',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201603::ClientTermsError::Reason',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201603::AuthenticationError::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201603::StatsQueryError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201603::EntityNotFound',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]' => 'Google::Ads::AdWords::v201603::TemplateAd',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201603::NewEntityCreationError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'mutate/operations/operand/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'upgradeUrlResponse/rval[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201603::RateExceededError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrl/operations/finalMobileUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201603::NotEmptyError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/promotionLine' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201603::DistinctError',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad' => 'Google::Ads::AdWords::v201603::Ad',
               'upgradeUrlResponse/rval[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'queryResponse/rval/entries/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201603::FeedAttributeReferenceError',
               'mutate/operations/operand/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateLabelResponse/rval/value' => 'Google::Ads::AdWords::v201603::AdGroupAdLabel',
               'upgradeUrlResponse/rval[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201603::AuthenticationError',
               'upgradeUrlResponse/rval[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[IdError]' => 'Google::Ads::AdWords::v201603::IdError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'getResponse/rval/entries/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201603::ThirdPartyRedirectAd::ExpandingDirection',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201603::QuotaCheckError',
               'mutateResponse/rval/value/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData' => 'Google::Ads::AdWords::v201603::AdGroupAdExperimentData',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201603::RateExceededError',
               'upgradeUrlResponse/rval[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]' => 'Google::Ads::AdWords::v201603::CallOnlyAd',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201603::NewEntityCreationError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201603::TemplateElementField',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/trademarkDisapproved' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201603::RequiredError',
               'queryResponse/rval/entries/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201603::RequiredError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'getResponse/rval/entries/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201603::String_StringMapEntry',
               'queryResponse/rval/entries/trademarkDisapproved' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse' => 'Google::Ads::AdWords::v201603::AdGroupAdService::mutateLabelResponse',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201603::DateError::Reason',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate' => 'Google::Ads::AdWords::v201603::AdGroupAdService::mutate',
               'getResponse/rval/entries/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]' => 'Google::Ads::AdWords::v201603::StringLengthError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201603::AuthorizationError::Reason',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/trademarks' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201603::EntityAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201603::DatabaseError',
               'queryResponse/rval/entries/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201603::DeprecatedAd::Type',
               'upgradeUrlResponse/rval[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201603::OperatorError',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/approvalStatus' => 'Google::Ads::AdWords::v201603::AdGroupAd::ApprovalStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201603::Image',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]' => 'Google::Ads::AdWords::v201603::MediaBundleError',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrl/operations/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/value/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201603::ThirdPartyRedirectAd::ExpandingDirection',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201603::PolicyViolationKey',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutate/operations/operand/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201603::Media',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201603::Image',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201603::RequiredError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/promotionLine' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201603::DynamicSearchAd',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'upgradeUrlResponse/rval[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201603::Image',
               'getResponse/rval/entries/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval' => 'Google::Ads::AdWords::v201603::AdGroupAdLabelReturnValue',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201603::CallOnlyAd',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'upgradeUrlResponse/rval/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]' => 'Google::Ads::AdWords::v201603::ProductAd',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201603::VideoType',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DynamicSearchAd]' => 'Google::Ads::AdWords::v201603::DynamicSearchAd',
               'mutate/operations/operand/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201603::RequestError',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateResponse/rval/value/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201603::FunctionParsingError::Reason',
               'upgradeUrlResponse/rval[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201603::VideoType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201603::StringLengthError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201603::TemplateElementField::Type',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]' => 'Google::Ads::AdWords::v201603::PagingError',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutate/operations/operand/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201603::Image',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201603::NotEmptyError',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]' => 'Google::Ads::AdWords::v201603::DateError',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201603::AuthorizationError',
               'Fault/detail/ApiExceptionFault/errors[ExperimentError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/value/adId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'upgradeUrlResponse/rval[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201603::ClientTermsError',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]' => 'Google::Ads::AdWords::v201603::FunctionParsingError',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]' => 'Google::Ads::AdWords::v201603::IdError',
               'queryResponse/rval/entries/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/reason' => 'Google::Ads::AdWords::v201603::IdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201603::ForwardCompatibilityError',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'upgradeUrlResponse/rval[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201603::Image',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/value/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201603::ExperimentDeltaStatus',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad' => 'Google::Ads::AdWords::v201603::Ad',
               'upgradeUrlResponse/rval[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrlResponse/rval[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/reason' => 'Google::Ads::AdWords::v201603::MediaError::Reason',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201603::EntityAccessDenied',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/reason' => 'Google::Ads::AdWords::v201603::FunctionError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutate/operations/operand/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/approvalStatus' => 'Google::Ads::AdWords::v201603::AdGroupAd::ApprovalStatus',
               'mutateResponse/rval/value/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201603::ExperimentDataStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrl' => 'Google::Ads::AdWords::v201603::AdGroupAdService::upgradeUrl',
               'upgradeUrlResponse/rval[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201603::NullError',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201603::FeedAttributeReferenceError::Reason',
               'mutateResponse/rval/value/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'upgradeUrlResponse/rval[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201603::String_StringMapEntry',
               'queryResponse/rval/entries/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabel' => 'Google::Ads::AdWords::v201603::AdGroupAdService::mutateLabel',
               'queryResponse/rval/entries/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201603::SelectorError',
               'upgradeUrlResponse/rval[TextAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'getResponse/rval/entries/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded::Reason',
               'queryResponse/rval/entries/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'queryResponse/rval/entries/labels/attribute' => 'Google::Ads::AdWords::v201603::LabelAttribute',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201603::StatsQueryError::Reason',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData' => 'Google::Ads::AdWords::v201603::AdGroupAdExperimentData',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201603::Audio',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'queryResponse/rval/entries/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/exemptionRequests' => 'Google::Ads::AdWords::v201603::ExemptionRequest',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201603::String_StringMapEntry',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201603::Image',
               'upgradeUrlResponse/rval[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201603::Audio',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[ProductAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201603::DeprecatedAd',
               'mutateResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/exemptionRequests/key' => 'Google::Ads::AdWords::v201603::PolicyViolationKey',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201603::DateRange',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201603::AuthenticationError::Reason',
               'queryResponse/rval/entries/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201603::TemplateElementField::Type',
               'mutateResponse/rval/value/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201603::Image',
               'mutateResponse/rval/value/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutate/operations/exemptionRequests/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse' => 'Google::Ads::AdWords::v201603::AdGroupAdService::queryResponse',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201603::ApiError',
               'mutate/operations/operand/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201603::NewEntityCreationError',
               'mutate/operations/operand/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TextAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201603::OperationAccessDenied::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/value/labelId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201603::FeedAttributeReferenceError',
               'getResponse/rval/entries/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201603::FeedAttributeReferenceError::Reason',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/promotionLine' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201603::VideoType',
               'upgradeUrlResponse/rval[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201603::NotEmptyError::Reason',
               'queryResponse/rval/entries/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201603::AdCustomizerError::Reason',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201603::Selector',
               'getResponse/rval/entries/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'upgradeUrlResponse/rval[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201603::ClientTermsError',
               'mutate/operations/operand/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201603::RateExceededError::Reason',
               'upgradeUrlResponse/rval[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201603::DistinctError',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'upgradeUrlResponse/rval[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'upgradeUrlResponse/rval[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201603::ApiError',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201603::QueryError',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201603::RequestError',
               'getResponse/rval/entries/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201603::Image',
               'upgradeUrlResponse/rval[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/reason' => 'Google::Ads::AdWords::v201603::PagingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'upgradeUrlResponse/rval[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad' => 'Google::Ads::AdWords::v201603::Ad',
               'upgradeUrlResponse/rval[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201603::OperatorError',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201603::DatabaseError',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201603::NotEmptyError',
               'upgradeUrlResponse/rval[ImageAd]' => 'Google::Ads::AdWords::v201603::ImageAd',
               'getResponse/rval/entries/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201603::NotEmptyError::Reason',
               'queryResponse/rval/entries' => 'Google::Ads::AdWords::v201603::AdGroupAd',
               'mutate/operations/operand/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]' => 'Google::Ads::AdWords::v201603::StatsQueryError',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201603::PolicyViolationError::Part',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201603::MediaBundle',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201603::TemplateElementField::Type',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'upgradeUrlResponse/rval[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]' => 'Google::Ads::AdWords::v201603::PolicyViolationError',
               'upgradeUrlResponse/rval[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]' => 'Google::Ads::AdWords::v201603::AdGroupAdError',
               'queryResponse/rval/entries/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201603::DynamicSearchAd',
               'upgradeUrlResponse/rval[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201603::SizeLimitError',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateResponse/rval/value/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201603::DatabaseError',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201603::Video',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201603::TemplateElement',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]' => 'Google::Ads::AdWords::v201603::PagingError',
               'queryResponse/rval/entries/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201603::ExperimentDataStatus',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels' => 'Google::Ads::AdWords::v201603::Label',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201603::AdUnionId',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateResponse/rval/value/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201603::RejectedError',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabel/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201603::TemplateElementField',
               'upgradeUrlResponse/rval[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]' => 'Google::Ads::AdWords::v201603::AdGroupAdError',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201603::OperationAccessDenied::Reason',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201603::SelectorError::Reason',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201603::FeedAttributeReferenceError',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201603::EntityNotFound',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201603::OperationAccessDenied::Reason',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201603::AuthenticationError',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'upgradeUrlResponse/rval[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201603::InternalApiError::Reason',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201603::InternalApiError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]' => 'Google::Ads::AdWords::v201603::AdGroupAdError',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201603::DistinctError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'upgradeUrlResponse/rval' => 'Google::Ads::AdWords::v201603::Ad',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201603::ExperimentDataStatus',
               'upgradeUrlResponse/rval/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'upgradeUrlResponse/rval[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/reason' => 'Google::Ads::AdWords::v201603::MediaError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutate/operations/operand/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutate/operations/operand/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201603::DatabaseError::Reason',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ExperimentError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201603::Video',
               'upgradeUrlResponse/rval[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201603::RangeError::Reason',
               'upgradeUrlResponse/rval/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201603::MediaBundle',
               'getResponse' => 'Google::Ads::AdWords::v201603::AdGroupAdService::getResponse',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201603::EntityNotFound::Reason',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/labels' => 'Google::Ads::AdWords::v201603::Label',
               'mutate/operations/operand/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201603::NullError',
               'upgradeUrlResponse/rval[ProductAd]' => 'Google::Ads::AdWords::v201603::ProductAd',
               'mutateResponse/rval/partialFailureErrors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201603::Audio',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ExperimentError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201603::ExperimentDeltaStatus',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201603::AuthenticationError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201603::Image',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201603::AdUnionId',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/labels/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201603::ThirdPartyRedirectAd::ExpandingDirection',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/exemptionRequests/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]' => 'Google::Ads::AdWords::v201603::AdError',
               'mutateLabelResponse/rval/partialFailureErrors[ExperimentError]/reason' => 'Google::Ads::AdWords::v201603::ExperimentError::Reason',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201603::RequiredError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse' => 'Google::Ads::AdWords::v201603::AdGroupAdService::upgradeUrlResponse',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/disapprovalReasons' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ExperimentError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201603::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201603::StringLengthError::Reason',
               'mutateResponse/rval/value/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201603::DistinctError',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201603::OperatorError::Reason',
               'getResponse/rval/entries/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201603::MediaBundle',
               'mutate/operations/operand/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201603::DynamicSearchAd',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]' => 'Google::Ads::AdWords::v201603::UrlError',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]' => 'Google::Ads::AdWords::v201603::StatsQueryError',
               'mutateResponse/rval/partialFailureErrors[ExperimentError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ImageAd]' => 'Google::Ads::AdWords::v201603::ImageAd',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201603::SelectorError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ExperimentError]/reason' => 'Google::Ads::AdWords::v201603::ExperimentError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201603::TemplateElementField::Type',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels' => 'Google::Ads::AdWords::v201603::Label',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201603::Media',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'queryResponse/rval/entries/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201603::Media',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutate/operations/operand/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201603::OperatorError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'getResponse/rval/entries/approvalStatus' => 'Google::Ads::AdWords::v201603::AdGroupAd::ApprovalStatus',
               'mutate/operations/operand/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ExperimentError]' => 'Google::Ads::AdWords::v201603::ExperimentError',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201603::NullError',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201603::QuotaCheckError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ExperimentError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201603::StringLengthError::Reason',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval' => 'Google::Ads::AdWords::v201603::AdGroupAdPage',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201603::QuotaCheckError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201603::EntityCountLimitExceeded',
               'mutate/operations/operand/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[ImageError]/reason' => 'Google::Ads::AdWords::v201603::ImageError::Reason',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201603::TemplateElementField',
               'upgradeUrlResponse/rval[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201603::SelectorError::Reason',
               'mutate/operations/operand/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/approvalStatus' => 'Google::Ads::AdWords::v201603::AdGroupAd::ApprovalStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/value/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]' => 'Google::Ads::AdWords::v201603::StringLengthError',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201603::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabel/operations/operand' => 'Google::Ads::AdWords::v201603::AdGroupAdLabel',
               'getResponse/rval/entries/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201603::TempAdUnionId',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/value/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201603::AuthenticationError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/labels[TextLabel]' => 'Google::Ads::AdWords::v201603::TextLabel',
               'getResponse/rval/entries/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201603::Predicate::Operator',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/value/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabel/operations/operator' => 'Google::Ads::AdWords::v201603::Operator',
               'upgradeUrlResponse/rval[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'upgradeUrlResponse/rval[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201603::NullError::Reason',
               'getResponse/rval/entries/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutate/operations/operand/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201603::ForwardCompatibilityError::Reason',
               'mutate/operations/operand/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[RichMediaAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutate/operations/operand/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201603::DeprecatedAd',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201603::RequiredError',
               'mutateResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201603::PolicyViolationKey',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201603::EntityAccessDenied::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201603::AdGroupAdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201603::MediaBundleError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutate/operations/operand/ad/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201603::AuthorizationError',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201603::QuotaCheckError',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'mutateResponse/rval/value/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201603::TemplateElementField::Type',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201603::DeprecatedAd::Type',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201603::PolicyViolationError::Part',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'query/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]' => 'Google::Ads::AdWords::v201603::IdError',
               'upgradeUrlResponse/rval[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/disapprovalReasons' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ImageError]' => 'Google::Ads::AdWords::v201603::ImageError',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]' => 'Google::Ads::AdWords::v201603::TemplateAd',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/trademarkDisapproved' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/status' => 'Google::Ads::AdWords::v201603::AdGroupAd::Status',
               'mutateResponse/rval/value/trademarks' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201603::DeprecatedAd::Type',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201603::TemplateElementField',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabel/operations/operand/labelId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201603::CallOnlyAd',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201603::OperationAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201603::InternalApiError',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201603::Predicate',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrlResponse/rval[ProductAd]/promotionLine' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'upgradeUrlResponse/rval[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201603::StatsQueryError::Reason',
               'mutateResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/experimentData' => 'Google::Ads::AdWords::v201603::AdGroupAdExperimentData',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201603::RangeError',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]' => 'Google::Ads::AdWords::v201603::FunctionError',
               'mutateResponse/rval/value/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201603::EntityAccessDenied',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201603::DatabaseError::Reason',
               'mutate/operations/operand/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201603::AdGroupAd::Status',
               'mutateResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201603::ForwardCompatibilityError',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201603::OperatorError::Reason',
               'queryResponse/rval/entries/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]' => 'Google::Ads::AdWords::v201603::FunctionError',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'upgradeUrlResponse/rval[RichMediaAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201603::AdUnionId',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/reason' => 'Google::Ads::AdWords::v201603::QueryError::Reason',
               'mutateResponse/rval/value/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'mutateResponse/rval/value/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201603::QuotaCheckError::Reason',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201603::String_StringMapEntry',
               'mutateLabelResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201603::NullError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201603::EntityNotFound::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201603::Video',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201603::OrderBy',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]' => 'Google::Ads::AdWords::v201603::PolicyViolationError',
               'mutate/operations/operand/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutate/operations/operand/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]' => 'Google::Ads::AdWords::v201603::MediaError',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ImageAd]/image' => 'Google::Ads::AdWords::v201603::Image',
               'queryResponse/rval/entries/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrl/operations/adId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201603::QuotaCheckError',
               'upgradeUrlResponse/rval[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]' => 'Google::Ads::AdWords::v201603::AdCustomizerError',
               'mutateResponse/rval/value/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201603::FunctionParsingError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201603::RichMediaAd::AdAttribute',
               'mutateResponse/rval/value/ad[ProductAd]' => 'Google::Ads::AdWords::v201603::ProductAd',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201603::VideoType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201603::ForwardCompatibilityError::Reason',
               'upgradeUrlResponse/rval[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]' => 'Google::Ads::AdWords::v201603::ImageError',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]' => 'Google::Ads::AdWords::v201603::QueryError',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201603::RateExceededError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/reason' => 'Google::Ads::AdWords::v201603::UrlError::Reason',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]' => 'Google::Ads::AdWords::v201603::FunctionParsingError',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201603::RangeError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201603::ApiException',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201603::ReadOnlyError',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201603::RangeError',
               'mutateLabelResponse/rval/partialFailureErrors[ExperimentError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/reason' => 'Google::Ads::AdWords::v201603::ImageError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201603::MediaBundle',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ExperimentError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201603::Media',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/reason' => 'Google::Ads::AdWords::v201603::DateError::Reason',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201603::Image',
               'upgradeUrlResponse/rval[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201603::AppUrl',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201603::AdGroupAd',
               'getResponse/rval/entries/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201603::CallOnlyAd',
               'mutate/operations/operand/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201603::AdGroupAd::Status',
               'queryResponse/rval/entries/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'getResponse/rval/entries/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/ad/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201603::Image',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201603::Media::MediaType',
               'upgradeUrlResponse/rval[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]/reason' => 'Google::Ads::AdWords::v201603::MediaError::Reason',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201603::RangeError::Reason',
               'upgradeUrlResponse/rval[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'upgradeUrlResponse/rval/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201603::Media::MimeType',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/reason' => 'Google::Ads::AdWords::v201603::AdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/reason' => 'Google::Ads::AdWords::v201603::AdError::Reason',
               'mutateResponse/rval/value/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'getResponse/rval/entries/ad[TextAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201603::NewEntityCreationError::Reason',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutate/operations/operand/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'getResponse/rval/entries/ad[TextAd]' => 'Google::Ads::AdWords::v201603::TextAd',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201603::RichMediaAd',
               'upgradeUrlResponse/rval[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201603::RejectedError',
               'queryResponse/rval/entries/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'queryResponse/rval/entries/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201603::VideoType',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get' => 'Google::Ads::AdWords::v201603::AdGroupAdService::get',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'upgradeUrlResponse/rval[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'queryResponse/rval/entries/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upgradeUrlResponse/rval[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'upgradeUrlResponse/rval[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'queryResponse/rval/entries/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]' => 'Google::Ads::AdWords::v201603::AdxError',
               'mutate/operations/operand/ad[ProductAd]' => 'Google::Ads::AdWords::v201603::ProductAd',
               'getResponse/rval/entries/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201603::Image',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'upgradeUrlResponse/rval[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201603::DisplayAttribute',
               'getResponse/rval/entries/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201603::RequiredError',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ExperimentError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201603::QueryError',
               'mutateResponse/rval/value/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201603::Media::Size',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201603::Dimensions',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201603::RangeError',
               'upgradeUrlResponse/rval[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201603::ForwardCompatibilityError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201603::Dimensions',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201603::Paging',
               'mutate/operations/operand/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201603::AppUrl::OsType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201603::TemplateElement',
               'upgradeUrlResponse/rval[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'mutateResponse/rval/value/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201603::DeprecatedAd',
               'mutateLabelResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/reason' => 'Google::Ads::AdWords::v201603::UrlError::Reason',
               'getResponse/rval/entries/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201603::Audio',
               'queryResponse/rval/entries/ad[TemplateAd]' => 'Google::Ads::AdWords::v201603::TemplateAd',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]' => 'Google::Ads::AdWords::v201603::AdxError',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201603::ApiException',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201603::NewEntityCreationError',
               'getResponse/rval/entries/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201603::Video',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201603::RichMediaAd::RichMediaAdType',
               'getResponse/rval/entries/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201603::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201603::MediaBundle',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201603::SizeLimitError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upgradeUrlResponse/rval[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/labels/status' => 'Google::Ads::AdWords::v201603::Label::Status',
               'Fault/detail/ApiExceptionFault/errors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201603::EntityAccessDenied::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]' => 'Google::Ads::AdWords::v201603::FunctionError',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201603::PolicyViolationError::Part',
               'mutate/operations/operand/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ExperimentError]/reason' => 'Google::Ads::AdWords::v201603::ExperimentError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201603::AdGroupAdCountLimitExceeded',
               'queryResponse/rval/entries/labels' => 'Google::Ads::AdWords::v201603::Label',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[ImageAd]/type' => 'Google::Ads::AdWords::v201603::Ad::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]' => 'Google::Ads::AdWords::v201603::UrlError',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201603::CustomParameter',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[PagingError]' => 'Google::Ads::AdWords::v201603::PagingError',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201603::Media_Size_DimensionsMapEntry',
               'upgradeUrlResponse/rval[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upgradeUrlResponse/rval[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201603::ThirdPartyRedirectAd::ExpandingDirection',
               'getResponse/rval/entries/disapprovalReasons' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]' => 'Google::Ads::AdWords::v201603::UrlError',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]' => 'Google::Ads::AdWords::v201603::AdCustomizerError',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/reason' => 'Google::Ads::AdWords::v201603::PagingError::Reason',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upgradeUrlResponse/rval[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201603::CustomParameters'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201603::TypeMaps::AdGroupAdService - typemap for AdGroupAdService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

