
package Google::Ads::AdWords::v201605::TypeMaps::CampaignFeedService;
use strict;
use warnings;

our $typemap_1 = {
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/reason' => 'Google::Ads::AdWords::v201605::FunctionError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201605::AuthenticationError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]' => 'Google::Ads::AdWords::v201605::IdError',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201605::NotEmptyError',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/selector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201605::RequiredError',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201605::ApiException',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201605::SelectorError',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]' => 'Google::Ads::AdWords::v201605::FunctionError',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201605::StringFormatError::Reason',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201605::ReadOnlyError',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[CampaignFeedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201605::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201605::OperatorError',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/placeholderTypes' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'get/selector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/ordering/sortOrder' => 'Google::Ads::AdWords::v201605::SortOrder',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'queryResponse/rval/entries/placeholderTypes' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201605::AuthenticationError',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201605::RangeError',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'getResponse/rval/entries/placeholderTypes' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/predicates/operator' => 'Google::Ads::AdWords::v201605::Predicate::Operator',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201605::StringLengthError::Reason',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'Fault/detail/ApiExceptionFault/errors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201605::QuotaCheckError',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CampaignFeedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/selector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201605::QuotaCheckError::Reason',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201605::InternalApiError',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201605::StringFormatError::Reason',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'get' => 'Google::Ads::AdWords::v201605::CampaignFeedService::get',
               'Fault/detail/ApiExceptionFault/errors[QueryError]' => 'Google::Ads::AdWords::v201605::QueryError',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CampaignFeedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201605::EntityCountLimitExceeded',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201605::RequiredError::Reason',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201605::InternalApiError',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201605::NotEmptyError::Reason',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction' => 'Google::Ads::AdWords::v201605::Function',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201605::RequestError',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201605::ApiException',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201605::AuthorizationError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201605::ReadOnlyError::Reason',
               'mutateResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201605::RateExceededError::Reason',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201605::OperationAccessDenied::Reason',
               'mutateResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'getResponse/rval/entries/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201605::DistinctError::Reason',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201605::OperationAccessDenied',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'get/selector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201605::CampaignFeedReturnValue',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201605::RangeError::Reason',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201605::RateExceededError::Reason',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201605::CampaignFeed::Status',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]' => 'Google::Ads::AdWords::v201605::CollectionSizeError',
               'Fault/detail/ApiExceptionFault/errors[CampaignFeedError]' => 'Google::Ads::AdWords::v201605::CampaignFeedError',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]' => 'Google::Ads::AdWords::v201605::CollectionSizeError',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201605::EntityNotFound::Reason',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201605::AuthorizationError::Reason',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CampaignFeedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/selector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries' => 'Google::Ads::AdWords::v201605::CampaignFeed',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/reason' => 'Google::Ads::AdWords::v201605::FunctionError::Reason',
               'mutateResponse/rval/partialFailureErrors[IdError]/reason' => 'Google::Ads::AdWords::v201605::IdError::Reason',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[CampaignFeedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201605::SelectorError',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201605::ClientTermsError',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201605::AuthenticationError::Reason',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201605::ClientTermsError',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201605::OperationAccessDenied::Reason',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201605::AuthenticationError',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201605::CollectionSizeError::Reason',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201605::RejectedError::Reason',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201605::ClientTermsError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201605::RequiredError::Reason',
               'mutate/operations/operand/matchingFunction/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201605::SizeLimitError',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201605::OperatorError',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CampaignFeedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[CampaignFeedError]' => 'Google::Ads::AdWords::v201605::CampaignFeedError',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201605::StringLengthError',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201605::NotEmptyError::Reason',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201605::SelectorError::Reason',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201605::QuotaCheckError::Reason',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201605::ApiError',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction' => 'Google::Ads::AdWords::v201605::Function',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201605::OperationAccessDenied',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201605::DatabaseError',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse' => 'Google::Ads::AdWords::v201605::CampaignFeedService::mutateResponse',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]' => 'Google::Ads::AdWords::v201605::StringLengthError',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201605::NullError',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201605::InternalApiError::Reason',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'get/selector/dateRange' => 'Google::Ads::AdWords::v201605::DateRange',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201605::InternalApiError::Reason',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201605::CampaignFeed::Status',
               'getResponse/rval' => 'Google::Ads::AdWords::v201605::CampaignFeedPage',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'Fault/detail/ApiExceptionFault/errors[IdError]/reason' => 'Google::Ads::AdWords::v201605::IdError::Reason',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201605::RequestError',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutate/operations/operand/matchingFunction/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'getResponse/rval/entries/matchingFunction/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201605::CampaignFeed',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201605::NullError::Reason',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/reason' => 'Google::Ads::AdWords::v201605::QueryError::Reason',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201605::EntityCountLimitExceeded',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/placeholderTypes' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201605::RejectedError',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201605::AuthorizationError',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201605::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201605::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201605::CampaignFeed',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/matchingFunction/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'Fault/detail/ApiExceptionFault/errors[IdError]' => 'Google::Ads::AdWords::v201605::IdError',
               'mutateResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201605::QueryError',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201605::OperatorError::Reason',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201605::EntityNotFound',
               'mutate/operations/operand/matchingFunction/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201605::DatabaseError',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction' => 'Google::Ads::AdWords::v201605::Function',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201605::RangeError',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[CampaignFeedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201605::CampaignFeed::Status',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201605::EntityNotFound',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/predicates' => 'Google::Ads::AdWords::v201605::Predicate',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201605::RejectedError::Reason',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201605::NullError::Reason',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201605::SelectorError::Reason',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201605::DistinctError::Reason',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'query/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201605::RejectedError',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'query' => 'Google::Ads::AdWords::v201605::CampaignFeedService::query',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]' => 'Google::Ads::AdWords::v201605::FunctionError',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201605::Operator',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201605::CampaignFeed',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate' => 'Google::Ads::AdWords::v201605::CampaignFeedService::mutate',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201605::ReadOnlyError',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'Fault/detail/ApiExceptionFault/errors[CampaignFeedError]/reason' => 'Google::Ads::AdWords::v201605::CampaignFeedError::Reason',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201605::RequestError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201605::NotEmptyError',
               'mutateResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201605::ApiError',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201605::DatabaseError::Reason',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201605::EntityNotFound::Reason',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/paging' => 'Google::Ads::AdWords::v201605::Paging',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201605::DistinctError',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval' => 'Google::Ads::AdWords::v201605::CampaignFeedPage',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction' => 'Google::Ads::AdWords::v201605::Function',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201605::RateExceededError',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201605::OperatorError::Reason',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]' => 'Google::Ads::AdWords::v201605::StringFormatError',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201605::NullError',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201605::RangeError::Reason',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201605::SizeLimitError::Reason',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201605::DistinctError',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations' => 'Google::Ads::AdWords::v201605::CampaignFeedOperation',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201605::ReadOnlyError::Reason',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/partialFailureErrors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]' => 'Google::Ads::AdWords::v201605::StringFormatError',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201605::ClientTermsError::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'get/selector/ordering' => 'Google::Ads::AdWords::v201605::OrderBy',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'Fault/detail/ApiExceptionFault/errors[CampaignFeedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutate/operations/operand/matchingFunction/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201605::StringLengthError::Reason',
               'getResponse/rval/entries/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/matchingFunction/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201605::ApiError',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201605::QueryError::Reason',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201605::SizeLimitError',
               'getResponse' => 'Google::Ads::AdWords::v201605::CampaignFeedService::getResponse',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/operator' => 'Google::Ads::AdWords::v201605::Function::Operator',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201605::RequiredError',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201605::DatabaseError::Reason',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/matchingFunction/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201605::RateExceededError',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201605::CollectionSizeError::Reason',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse' => 'Google::Ads::AdWords::v201605::CampaignFeedService::queryResponse',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/matchingFunction/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'queryResponse/rval/entries/status' => 'Google::Ads::AdWords::v201605::CampaignFeed::Status',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201605::AuthorizationError',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]' => 'Google::Ads::AdWords::v201605::FeedAttributeOperand',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[RequestContextOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'Fault/detail/ApiExceptionFault/errors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/lhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201605::QuotaCheckError',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[RequestContextOperand]/contextType' => 'Google::Ads::AdWords::v201605::RequestContextOperand::ContextType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CampaignFeedError]/reason' => 'Google::Ads::AdWords::v201605::CampaignFeedError::Reason',
               'queryResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FeedAttributeOperand]/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201605::RequestError::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FeedAttributeOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'mutateResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/matchingFunction/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]' => 'Google::Ads::AdWords::v201605::ConstantOperand',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/rhsOperand' => 'Google::Ads::AdWords::v201605::FunctionArgumentOperand',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/type' => 'Google::Ads::AdWords::v201605::ConstantOperand::ConstantType',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[FunctionOperand]' => 'Google::Ads::AdWords::v201605::FunctionOperand',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[FeedAttributeOperand]/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/selector' => 'Google::Ads::AdWords::v201605::Selector',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[ConstantOperand]/unit' => 'Google::Ads::AdWords::v201605::ConstantOperand::Unit',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/longValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[RequestContextOperand]' => 'Google::Ads::AdWords::v201605::RequestContextOperand',
               'mutateResponse/rval/value/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/lhsOperand[ConstantOperand]/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value' => 'Google::Ads::AdWords::v201605::Function',
               'mutate/operations/operand/matchingFunction/rhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand[FunctionOperand]/value/rhsOperand[ConstantOperand]/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/matchingFunction/lhsOperand[FunctionOperand]/value/rhsOperand/FunctionArgumentOperand.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201605::TypeMaps::CampaignFeedService - typemap for CampaignFeedService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

